Attachments

Get attachment

GET
/attachments/{id}.json

Get a single attachment. The file can be downloaded at its content_url.

Authorization

ApiKeyAuth
headerX-Redmine-API-Key<token>

Path Parameters

id*integer
Formatint64

Response Body

The request has succeeded.

application/json
  1. response
attachment*

Attachment

curl -X GET 'https://redmine.example.com/attachments/0.json'
{  "attachment": {    "id": 0,    "filename": "string",    "filesize": 0,    "content_type": "string",    "description": "string",    "content_url": "http://example.com",    "thumbnail_url": "http://example.com",    "author": {      "id": 0,      "name": "string"    },    "created_on": "2019-08-24T14:15:22Z"  }}